=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vstable+git20260114.1206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 12:06:44 +0000

plasma-setup (0.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 09:35:20 +1000
