=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20251209.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:09:58 +0000
