=== debian/control ===
Source: plasma-setup
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kpackage-dev,
               libkf6screen-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-workspace-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-setup
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-setup.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-setup
Maintainer: Neon CI <neon@kde.org>

Package: plasma-setup
Architecture: any
Depends: plasma-nm, ${misc:Depends}, ${shlibs:Depends}
Breaks: kiss
Replaces: kiss
Conflicts: kiss
Description: Plasma new device setup application
 The Out-of-the-box (OOTB) experience that greets a user after system
 installation or when starting up a new computer. Guides the user in creating
 the system's first user account and configuring initial settings.
 .
 Features include:
  * User account creation
  * Language selection
  * Keyboard layout selection
  * Time zone selection
  * Network configuration
