## plasma-setup 0.0.0+p24.04+vunstable+git20260129.0312

=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20260129.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:12:20 +0000
