=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
                libkf6screen-dev,
                pkg-kde-tools-neon,
                pkgconf,
+               plasma-desktop-dev,
+               plasma-keyboard-dev,
                plasma-workspace-dev,
                qt6-base-dev,
                qt6-declarative-dev,
