=== modules/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 add_subdirectory(finished)
 kpackage_install_package(finished org.kde.plasmasetup.finished packages plasma)
+
+add_subdirectory(hostname)
+kpackage_install_package(hostname org.kde.plasmasetup.hostname packages plasma)
 
 add_subdirectory(keyboard)
 kpackage_install_package(keyboard org.kde.plasmasetup.keyboard packages plasma)
@@ -31,6 +34,7 @@
 
 # Helper utilities should be kept separate from the KPackage modules, otherwise
 # kpackage_install_package() will include all of the uncompiled source files.
+add_subdirectory(hostnameutil)
 add_subdirectory(languageutil)
 add_subdirectory(prepareutil)
 add_subdirectory(timeutil)
