=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20260201.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:26:40 +0000
